Arch Space/cs: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
No edit summary
Line 1: Line 1:
{{GuiCommand|Name=Arch_Space|Workbenches=[[Arch Module|Architektura]]|MenuLocation=Architecture → Space|Shortcut=S P}}
{{GuiCommand/cs|Name=Arch_Space|Workbenches=[[Arch Module|Architektura]]|MenuLocation=Architecture → Space|Shortcut=S P}}


==Popis==
==Description==
The Space tool allows you to define an empty volume, either by basing it on a solid shape, or by defining its boundaries, or a mix of both. If it is based solely on boundaries, the volume is calculated by starting from the bounding box of all the given boundaries, and subtracting the spaces behind each boundary. The space object always defines a solid volume. The floor area of a space object, calculated by intersecting a horizontal plane at the center of mass of the space volume, can also be displayed, by setting the display mode of the space object to "detailed".
V podstatě je to těleso (ale prezentováno jako "prázdné"), které může být definováno buď
# podkladovým objektem tvaru tělesa nebo
# nastavením hraničních ploch z jiných objektů. V takovém případě je velikost prostoru definována propojeným prostorovým objektem ze všech ploch a následně odstraněním vnějších částí za hraničními plochami.


[[Image:Arch Space example.jpg|640px]]
[[Image:Arch Space example.jpg|640px]]


In the above image, a space object is created from an existing solid object, then two wall faces are added as boundaries, and the display mode is set to "detailed" to show the floor area.
Nové hraniční plochy mohou být přidány později pomocí tlačítka Přidat a to i když je prostor vytvořen z tělesa. Existující hranice mohou být odebrány pomocí tlačítka Odebrat


==Použití==
==Použití==


# Select an existing solid object, or faces on boundary objects
* Vyberte plochy nebo objekt
* Stiskněte tlačítko {{KEY|[[Image:Arch_Space.png|32px]] Prostor}} nebo klávesy {{KEY|S}} a {{KEY|P}}
# Press the {{KEY|[[Image:Arch_Space.png|16px]] [[Arch Space]]}} button, or press {{KEY|S}}, {{KEY|P}} keys


==Vlastnosti==
==Vlastnosti==
Line 54: Line 52:
</syntaxhighlight>
</syntaxhighlight>


==Limitations==
{{clear}}
==Omezení==
* podívejte se na [http://forum.freecadweb.org/viewtopic.php?f=9&t=4275 Prostor] .


* Not available below FreeCAD version 0.14
* Not available below FreeCAD version 0.14

Revision as of 15:12, 8 April 2014

Arch_Space

Umístění Menu
Architecture → Space
Pracovní stoly
Architektura
Výchozí zástupce
S P
Představen ve verzi
-
Viz také
Nikdo

Description

The Space tool allows you to define an empty volume, either by basing it on a solid shape, or by defining its boundaries, or a mix of both. If it is based solely on boundaries, the volume is calculated by starting from the bounding box of all the given boundaries, and subtracting the spaces behind each boundary. The space object always defines a solid volume. The floor area of a space object, calculated by intersecting a horizontal plane at the center of mass of the space volume, can also be displayed, by setting the display mode of the space object to "detailed".

In the above image, a space object is created from an existing solid object, then two wall faces are added as boundaries, and the display mode is set to "detailed" to show the floor area.

Použití

  1. Select an existing solid object, or faces on boundary objects
  2. Press the Arch Space button, or press S, P keys

Vlastnosti

  • ÚdajeBase: The base object, if any (must be a solid)
  • ÚdajeBoundaries: A list of optional boundary elements

Scripting

The space tool can be used in python scripts and macros by using the following function:

 makeSpace(objects)
  • Creates a space object from the given objects.
  • Objects can be one document object, in which case it becomes the base shape of the space object, or a list of selection objects as returned by FreeCADGui.Selection.getSelectionEx(), or a list of tuples (object, subobjectname).
  • Returns the newly created space object.

Example:

 import FreeCAD, Arch, Part
 b = Part.makeBox(2,2,2)
 FreeCAD.ActiveDocument.addObject("Part::Feature","Box").Shape=b
 sp = makeSpace([FreeCAD.ActiveDocument.Box])

After a space object is created, selected faces can be added to it with the following function:

 import FreeCADGui
 Arch.addSpaceBoundaries(sp, FreeCADGui.Selection.getSelectionEx())

Boundaries can also be removed with:

 Arch.removeSpaceBoundaries(sp, FreeCADGui.Selection.getSelectionEx())

Limitations

  • Not available below FreeCAD version 0.14
  • The boundaries properties is currently not editable via GUI
  • See the forum announcement